/* eslint-disable max-len */
import React, { SVGProps } from "react";

import { IiCon } from "@/types/IconInterface";

export const GroupIcon = ({ width = "24px", height = "24px", ...restProps }: IiCon & SVGProps<SVGSVGElement>) => (
    <svg {...restProps} xmlns="http://www.w3.org/2000/svg" width={width} height={height} fill="none">
        <path
            fill="#707D99"
            d="M5.11 5.625c-.43 0-.82.313-.938.781L3 11.446c.82-.508 1.758-.821 2.813-.821 2.148 0 3.984 1.29 4.843 3.125h2.188a5.276 5.276 0 0 1 4.844-3.125c1.015 0 1.953.313 2.773.82l-1.172-5.039c-.117-.468-.508-.781-.937-.781-.118 0-.235.04-.352.078l-1.25.508c-.469.195-1.016-.04-1.21-.547-.196-.469.038-1.016.546-1.21l1.21-.47a2.578 2.578 0 0 1 1.056-.234c1.328 0 2.46.938 2.773 2.227l1.563 6.757c.195.82.312 1.68.312 2.5v.391c0 .04 0 .078-.04.117.04.078.04.156.04.195a5.293 5.293 0 0 1-5.313 5.313 5.285 5.285 0 0 1-5.312-5h-1.29a5.276 5.276 0 0 1-5.273 5A5.269 5.269 0 0 1 .5 15.937v-.702c0-.82.078-1.68.273-2.5l1.563-6.758C2.648 4.687 3.78 3.75 5.109 3.75c.352 0 .743.078 1.055.234l1.211.47c.508.194.742.741.547 1.21-.195.508-.742.742-1.211.547l-1.25-.508a1.14 1.14 0 0 0-.352-.078Zm.702 13.75c1.211 0 2.344-.625 2.97-1.719.585-1.054.585-2.343 0-3.437-.626-1.055-1.759-1.719-2.97-1.719-1.25 0-2.382.664-3.007 1.719-.586 1.094-.586 2.383 0 3.437.625 1.094 1.757 1.719 3.007 1.719Zm15.313-3.438c0-1.21-.664-2.343-1.719-2.968-1.093-.586-2.383-.586-3.437 0a3.395 3.395 0 0 0-1.719 2.969c0 1.25.625 2.382 1.719 3.007 1.054.586 2.344.586 3.437 0a3.493 3.493 0 0 0 1.719-3.008Z"
        />
    </svg>
);
